﻿-- Author        : jmeadows
-- Creation Date : 5/22/2008 6:24:22 PM
-- Last Modified : 7/18/2008

function btnClose_OnClick()
	cmbSounds:Hide();
	Config:Hide();
end

function Config_OnLoad()
--this just makes em so the background is grey
	btnFWReadyBG:Disable();
	btnFWFadedBG:Disable();
	btnFWCastBG:Disable();
	btnInnerFireBG:Disable();
	btnFortitudeBG:Disable();
	btnShadowProtectionBG:Disable();
	btnDivineSpiritBG:Disable();
	btnDiseaseBG:Disable();
	btnMagicBG:Disable();
	btnShackleBreakBG:Disable();
	btnOtherShackleBreakBG:Disable();
end

function btnFWReadyDropdown_OnClick()
	if ((SettingWhat == "FWReady") and (cmbSounds:IsVisible())) then
		--close it because they hit it again
		cmbSounds:Hide();
	else
		--open it
		SettingWhat = "FWReady";
		SetSoundChecks(lblFWReadyValue:GetText());
	end
end

function btnFWFadedDropdown_OnClick()
	if ((SettingWhat == "FWFaded") and (cmbSounds:IsVisible())) then
		cmbSounds:Hide();
	else
		SettingWhat = "FWFaded";
		SetSoundChecks(lblFWFadedValue:GetText());
	end
end

function btnFWCastDropdown_OnClick()
	if ((SettingWhat == "FWCast") and (cmbSounds:IsVisible())) then
		cmbSounds:Hide();
	else
		SettingWhat = "FWCast";
		SetSoundChecks(lblFWCastValue:GetText());
	end
end

function btnInnerFireDropdown_OnClick()
	if ((SettingWhat == "InnerFire") and (cmbSounds:IsVisible())) then
		cmbSounds:Hide();
	else
		SettingWhat = "InnerFire";
		SetSoundChecks(lblInnerFireValue:GetText());
	end
end

function btnFortitudeDropdown_OnClick()
	if ((SettingWhat == "Fortitude") and (cmbSounds:IsVisible())) then
		cmbSounds:Hide();
	else
		SettingWhat = "Fortitude";
		SetSoundChecks(lblFortitudeValue:GetText());
	end
end

function btnShadowProtectionDropdown_OnClick()
	if ((SettingWhat == "ShadowProtection") and (cmbSounds:IsVisible())) then
		cmbSounds:Hide();
	else
		SettingWhat = "ShadowProtection";
		SetSoundChecks(lblShadowProtectionValue:GetText());
	end
end

function btnDivineSpiritDropdown_OnClick()
	if ((SettingWhat == "DivineSpirit") and (cmbSounds:IsVisible())) then
		cmbSounds:Hide();
	else
		SettingWhat = "DivineSpirit";
		SetSoundChecks(lblDivineSpiritValue:GetText());
	end
end

function btnDiseaseDropdown_OnClick()
	if ((SettingWhat == "Disease") and (cmbSounds:IsVisible())) then
		cmbSounds:Hide();
	else
		SettingWhat = "Disease";
		SetSoundChecks(lblDiseaseValue:GetText());
	end
end

function btnMagicDropdown_OnClick()
	if ((SettingWhat == "Magic") and (cmbSounds:IsVisible())) then
		cmbSounds:Hide();
	else
		SettingWhat = "Magic";
		SetSoundChecks(lblMagicValue:GetText());
	end
end

function btnShackleBreakDropdown_OnClick()
	if ((SettingWhat == "ShackleBreak") and (cmbSounds:IsVisible())) then
		cmbSounds:Hide();
	else
		SettingWhat = "ShackleBreak";
		SetSoundChecks(lblShackleBreakValue:GetText());
	end
end

function btnOtherShackleBreakDropdown_OnClick()
	if ((SettingWhat == "OtherShackleBreak") and (cmbSounds:IsVisible())) then
		cmbSounds:Hide();
	else
		SettingWhat = "OtherShackleBreak";
		SetSoundChecks(lblOtherShackleBreakValue:GetText());
	end
end

function SetSound(SoundName)
	cmbSounds:Hide();
	if (SoundName == "(None)") then
		FearWardSound = "";
	elseif (SoundName == "Engage") then
		FearWardSound = "startrek-tng-engage.wav";
	elseif (SoundName == "Woohoo!!!") then
		FearWardSound = "WOOHOO.WAV";
	elseif (SoundName == "Hallelujah") then
		FearWardSound = "HALLELUJ.WAV";
	elseif (SoundName == "Alrighty") then
		FearWardSound = "ALRIGHTY.WAV";
	elseif (SoundName == "Come On") then
		FearWardSound = "come-on-you-can-do-it.wav";
	elseif (SoundName == "Aooga") then
		FearWardSound = "AOOGA.WAV";
	elseif (SoundName == "Anxious") then
		FearWardSound = "ANXIOUS.WAV";
	elseif (SoundName == "Reload") then
		FearWardSound = "gun-reload-1.wav";
	elseif (SoundName == "Yell") then
		FearWardSound = "WilhelmScream.mp3";
	elseif (SoundName == "Bummer") then
		FearWardSound = "BUMMER.WAV";
	elseif (SoundName == "Coocoo") then
		FearWardSound = "birds_kuku.wav";
	elseif (SoundName == "Dammit") then
		FearWardSound = "damn-it.wav";
	elseif (SoundName == "Aye Caramba") then
		FearWardSound = "bart-aycaramba.wav";
	elseif (SoundName == "Problem") then
		FearWardSound = "APOLLO03.WAV";
	elseif (SoundName == "Ooga") then
		FearWardSound = "OOGA.WAV";
	elseif (SoundName == "Bring Dead") then
		FearWardSound = "BRNGDEAD.WAV";
	else
		FearWardSound = "";
	end
	if (SettingWhat == "FWReady") then
		lblFWReadyValue:SetText(SoundName);
		FearWardReadySound = FearWardSound;
		FearWardReadySoundDisplay = SoundName;
	elseif (SettingWhat == "FWFaded") then
		lblFWFadedValue:SetText(SoundName);
		FearWardFadedSound = FearWardSound;
		FearWardFadedSoundDisplay = SoundName;
	elseif (SettingWhat == "FWCast") then
		lblFWCastValue:SetText(SoundName);
		FearWardCastSound = FearWardSound;
		FearWardCastSoundDisplay = SoundName;
	elseif (SettingWhat == "InnerFire") then
		lblInnerFireValue:SetText(SoundName);
		InnerFireSound = FearWardSound;
		InnerFireSoundDisplay = SoundName;
	elseif (SettingWhat == "Fortitude") then
		lblFortitudeValue:SetText(SoundName);
		FortitudeSound = FearWardSound;
		FortitudeSoundDisplay = SoundName;
	elseif (SettingWhat == "ShadowProtection") then
		lblShadowProtectionValue:SetText(SoundName);
		ShadowProtectionSound = FearWardSound;
		ShadowProtectionSoundDisplay = SoundName;
	elseif (SettingWhat == "DivineSpirit") then
		lblDivineSpiritValue:SetText(SoundName);
		DivineSpiritSound = FearWardSound;
		DivineSpiritSoundDisplay = SoundName;
	elseif (SettingWhat == "Disease") then
		lblDiseaseValue:SetText(SoundName);
		DiseaseSound = FearWardSound;
		DiseaseSoundDisplay = SoundName;
	elseif (SettingWhat == "Magic") then
		lblMagicValue:SetText(SoundName);
		MagicSound = FearWardSound;
		MagicSoundDisplay = SoundName;
	elseif (SettingWhat == "ShackleBreak") then
		lblShackleBreakValue:SetText(SoundName);
		ShackleBreakSound = FearWardSound;
		ShackleBreakSoundDisplay = SoundName;
	elseif (SettingWhat == "OtherShackleBreak") then
		lblOtherShackleBreakValue:SetText(SoundName);
		OtherShackleBreakSound = FearWardSound;
		OtherShackleBreakSoundDisplay = SoundName;
	end
	--DEFAULT_CHAT_FRAME:AddMessage(SettingWhat.." sound set to "..SoundName, 1.0, 0.0, 0.0, nil, false);
end

function SetSoundChecks(SoundName)
	if (SoundName == "(None)") then
		chkNone:SetChecked(true);
		chkEngage:SetChecked(false);
		chkWoohoo:SetChecked(false);
		chkHallelujah:SetChecked(false);
		chkAlrighty:SetChecked(false);
		chkComeon:SetChecked(false);
		chkAooga:SetChecked(false);
		chkAnxious:SetChecked(false);
		chkReload:SetChecked(false);
		chkYell:SetChecked(false);
		chkBummer:SetChecked(false);
		chkCoocoo:SetChecked(false);
		chkDammit:SetChecked(false);
		chkAyecaramba:SetChecked(false);
		chkProblem:SetChecked(false);
		chkOoga:SetChecked(false);
		chkBringDead:SetChecked(false);
	elseif (SoundName == "Engage") then
		chkNone:SetChecked(false);
		chkEngage:SetChecked(true);
		chkWoohoo:SetChecked(false);
		chkHallelujah:SetChecked(false);
		chkAlrighty:SetChecked(false);
		chkComeon:SetChecked(false);
		chkAooga:SetChecked(false);
		chkAnxious:SetChecked(false);
		chkReload:SetChecked(false);
		chkYell:SetChecked(false);
		chkBummer:SetChecked(false);
		chkCoocoo:SetChecked(false);
		chkDammit:SetChecked(false);
		chkAyecaramba:SetChecked(false);
		chkProblem:SetChecked(false);
		chkOoga:SetChecked(false);
		chkBringDead:SetChecked(false);
	elseif (SoundName == "Woohoo!!!") then
		chkNone:SetChecked(false);
		chkEngage:SetChecked(false);
		chkWoohoo:SetChecked(true);
		chkHallelujah:SetChecked(false);
		chkAlrighty:SetChecked(false);
		chkComeon:SetChecked(false);
		chkAooga:SetChecked(false);
		chkAnxious:SetChecked(false);
		chkReload:SetChecked(false);
		chkYell:SetChecked(false);
		chkBummer:SetChecked(false);
		chkCoocoo:SetChecked(false);
		chkDammit:SetChecked(false);
		chkAyecaramba:SetChecked(false);
		chkProblem:SetChecked(false);
		chkOoga:SetChecked(false);
		chkBringDead:SetChecked(false);
	elseif (SoundName == "Hallelujah") then
		chkNone:SetChecked(false);
		chkEngage:SetChecked(false);
		chkWoohoo:SetChecked(false);
		chkHallelujah:SetChecked(true);
		chkAlrighty:SetChecked(false);
		chkComeon:SetChecked(false);
		chkAooga:SetChecked(false);
		chkAnxious:SetChecked(false);
		chkReload:SetChecked(false);
		chkYell:SetChecked(false);
		chkBummer:SetChecked(false);
		chkCoocoo:SetChecked(false);
		chkDammit:SetChecked(false);
		chkAyecaramba:SetChecked(false);
		chkProblem:SetChecked(false);
		chkOoga:SetChecked(false);
		chkBringDead:SetChecked(false);
	elseif (SoundName == "Alrighty") then
		chkNone:SetChecked(false);
		chkEngage:SetChecked(false);
		chkWoohoo:SetChecked(false);
		chkHallelujah:SetChecked(false);
		chkAlrighty:SetChecked(true);
		chkComeon:SetChecked(false);
		chkAooga:SetChecked(false);
		chkAnxious:SetChecked(false);
		chkReload:SetChecked(false);
		chkYell:SetChecked(false);
		chkBummer:SetChecked(false);
		chkCoocoo:SetChecked(false);
		chkDammit:SetChecked(false);
		chkAyecaramba:SetChecked(false);
		chkProblem:SetChecked(false);
		chkOoga:SetChecked(false);
		chkBringDead:SetChecked(false);
	elseif (SoundName == "Come On") then
		chkNone:SetChecked(false);
		chkEngage:SetChecked(false);
		chkWoohoo:SetChecked(false);
		chkHallelujah:SetChecked(false);
		chkAlrighty:SetChecked(false);
		chkComeon:SetChecked(true);
		chkAooga:SetChecked(false);
		chkAnxious:SetChecked(false);
		chkReload:SetChecked(false);
		chkYell:SetChecked(false);
		chkBummer:SetChecked(false);
		chkCoocoo:SetChecked(false);
		chkDammit:SetChecked(false);
		chkAyecaramba:SetChecked(false);
		chkProblem:SetChecked(false);
		chkOoga:SetChecked(false);
		chkBringDead:SetChecked(false);
	elseif (SoundName == "Aooga") then
		chkNone:SetChecked(false);
		chkEngage:SetChecked(false);
		chkWoohoo:SetChecked(false);
		chkHallelujah:SetChecked(false);
		chkAlrighty:SetChecked(false);
		chkComeon:SetChecked(false);
		chkAooga:SetChecked(true);
		chkAnxious:SetChecked(false);
		chkReload:SetChecked(false);
		chkYell:SetChecked(false);
		chkBummer:SetChecked(false);
		chkCoocoo:SetChecked(false);
		chkDammit:SetChecked(false);
		chkAyecaramba:SetChecked(false);
		chkProblem:SetChecked(false);
		chkOoga:SetChecked(false);
		chkBringDead:SetChecked(false);
	elseif (SoundName == "Anxious") then
		chkNone:SetChecked(false);
		chkEngage:SetChecked(false);
		chkWoohoo:SetChecked(false);
		chkHallelujah:SetChecked(false);
		chkAlrighty:SetChecked(false);
		chkComeon:SetChecked(false);
		chkAooga:SetChecked(false);
		chkAnxious:SetChecked(true);
		chkReload:SetChecked(false);
		chkYell:SetChecked(false);
		chkBummer:SetChecked(false);
		chkCoocoo:SetChecked(false);
		chkDammit:SetChecked(false);
		chkAyecaramba:SetChecked(false);
		chkProblem:SetChecked(false);
		chkOoga:SetChecked(false);
		chkBringDead:SetChecked(false);
	elseif (SoundName == "Reload") then
		chkNone:SetChecked(false);
		chkEngage:SetChecked(false);
		chkWoohoo:SetChecked(false);
		chkHallelujah:SetChecked(false);
		chkAlrighty:SetChecked(false);
		chkComeon:SetChecked(false);
		chkAooga:SetChecked(false);
		chkAnxious:SetChecked(false);
		chkReload:SetChecked(true);
		chkYell:SetChecked(false);
		chkBummer:SetChecked(false);
		chkCoocoo:SetChecked(false);
		chkDammit:SetChecked(false);
		chkAyecaramba:SetChecked(false);
		chkProblem:SetChecked(false);
		chkOoga:SetChecked(false);
		chkBringDead:SetChecked(false);
	elseif (SoundName == "Yell") then
		chkNone:SetChecked(false);
		chkEngage:SetChecked(false);
		chkWoohoo:SetChecked(false);
		chkHallelujah:SetChecked(false);
		chkAlrighty:SetChecked(false);
		chkComeon:SetChecked(false);
		chkAooga:SetChecked(false);
		chkAnxious:SetChecked(false);
		chkReload:SetChecked(false);
		chkYell:SetChecked(true);
		chkBummer:SetChecked(false);
		chkCoocoo:SetChecked(false);
		chkDammit:SetChecked(false);
		chkAyecaramba:SetChecked(false);
		chkProblem:SetChecked(false);
		chkOoga:SetChecked(false);
		chkBringDead:SetChecked(false);
	elseif (SoundName == "Bummer") then
		chkNone:SetChecked(false);
		chkEngage:SetChecked(false);
		chkWoohoo:SetChecked(false);
		chkHallelujah:SetChecked(false);
		chkAlrighty:SetChecked(false);
		chkComeon:SetChecked(false);
		chkAooga:SetChecked(false);
		chkAnxious:SetChecked(false);
		chkReload:SetChecked(false);
		chkYell:SetChecked(false);
		chkBummer:SetChecked(true);
		chkCoocoo:SetChecked(false);
		chkDammit:SetChecked(false);
		chkAyecaramba:SetChecked(false);
		chkProblem:SetChecked(false);
		chkOoga:SetChecked(false);
		chkBringDead:SetChecked(false);
	elseif (SoundName == "Coocoo") then
		chkNone:SetChecked(false);
		chkEngage:SetChecked(false);
		chkWoohoo:SetChecked(false);
		chkHallelujah:SetChecked(false);
		chkAlrighty:SetChecked(false);
		chkComeon:SetChecked(false);
		chkAooga:SetChecked(false);
		chkAnxious:SetChecked(false);
		chkReload:SetChecked(false);
		chkYell:SetChecked(false);
		chkBummer:SetChecked(false);
		chkCoocoo:SetChecked(true);
		chkDammit:SetChecked(false);
		chkAyecaramba:SetChecked(false);
		chkProblem:SetChecked(false);
		chkOoga:SetChecked(false);
		chkBringDead:SetChecked(false);
	elseif (SoundName == "Dammit") then
		chkNone:SetChecked(false);
		chkEngage:SetChecked(false);
		chkWoohoo:SetChecked(false);
		chkHallelujah:SetChecked(false);
		chkAlrighty:SetChecked(false);
		chkComeon:SetChecked(false);
		chkAooga:SetChecked(false);
		chkAnxious:SetChecked(false);
		chkReload:SetChecked(false);
		chkYell:SetChecked(false);
		chkBummer:SetChecked(false);
		chkCoocoo:SetChecked(false);
		chkDammit:SetChecked(true);
		chkAyecaramba:SetChecked(false);
		chkProblem:SetChecked(false);
		chkOoga:SetChecked(false);
		chkBringDead:SetChecked(false);
	elseif (SoundName == "Aye Caramba") then
		chkNone:SetChecked(false);
		chkEngage:SetChecked(false);
		chkWoohoo:SetChecked(false);
		chkHallelujah:SetChecked(false);
		chkAlrighty:SetChecked(false);
		chkComeon:SetChecked(false);
		chkAooga:SetChecked(false);
		chkAnxious:SetChecked(false);
		chkReload:SetChecked(false);
		chkYell:SetChecked(false);
		chkBummer:SetChecked(false);
		chkCoocoo:SetChecked(false);
		chkDammit:SetChecked(false);
		chkAyecaramba:SetChecked(true);
		chkProblem:SetChecked(false);
		chkOoga:SetChecked(false);
		chkBringDead:SetChecked(false);
	elseif (SoundName == "Problem") then
		chkNone:SetChecked(false);
		chkEngage:SetChecked(false);
		chkWoohoo:SetChecked(false);
		chkHallelujah:SetChecked(false);
		chkAlrighty:SetChecked(false);
		chkComeon:SetChecked(false);
		chkAooga:SetChecked(false);
		chkAnxious:SetChecked(false);
		chkReload:SetChecked(false);
		chkYell:SetChecked(false);
		chkBummer:SetChecked(false);
		chkCoocoo:SetChecked(false);
		chkDammit:SetChecked(false);
		chkAyecaramba:SetChecked(false);
		chkProblem:SetChecked(true);
		chkOoga:SetChecked(false);
		chkBringDead:SetChecked(false);
	elseif (SoundName == "Ooga") then
		chkNone:SetChecked(false);
		chkEngage:SetChecked(false);
		chkWoohoo:SetChecked(false);
		chkHallelujah:SetChecked(false);
		chkAlrighty:SetChecked(false);
		chkComeon:SetChecked(false);
		chkAooga:SetChecked(false);
		chkAnxious:SetChecked(false);
		chkReload:SetChecked(false);
		chkYell:SetChecked(false);
		chkBummer:SetChecked(false);
		chkCoocoo:SetChecked(false);
		chkDammit:SetChecked(false);
		chkAyecaramba:SetChecked(false);
		chkProblem:SetChecked(false);
		chkOoga:SetChecked(true);
		chkBringDead:SetChecked(false);
	elseif (SoundName == "Bring Dead") then
		chkNone:SetChecked(false);
		chkEngage:SetChecked(false);
		chkWoohoo:SetChecked(false);
		chkHallelujah:SetChecked(false);
		chkAlrighty:SetChecked(false);
		chkComeon:SetChecked(false);
		chkAooga:SetChecked(false);
		chkAnxious:SetChecked(false);
		chkReload:SetChecked(false);
		chkYell:SetChecked(false);
		chkBummer:SetChecked(false);
		chkCoocoo:SetChecked(false);
		chkDammit:SetChecked(false);
		chkAyecaramba:SetChecked(false);
		chkProblem:SetChecked(false);
		chkOoga:SetChecked(false);
		chkBringDead:SetChecked(true);
	else
		chkNone:SetChecked(false);
		chkEngage:SetChecked(false);
		chkWoohoo:SetChecked(false);
		chkHallelujah:SetChecked(false);
		chkAlrighty:SetChecked(false);
		chkComeon:SetChecked(false);
		chkAooga:SetChecked(false);
		chkAnxious:SetChecked(false);
		chkReload:SetChecked(false);
		chkYell:SetChecked(false);
		chkBummer:SetChecked(false);
		chkCoocoo:SetChecked(false);
		chkDammit:SetChecked(false);
		chkAyecaramba:SetChecked(false);
		chkProblem:SetChecked(false);
		chkOoga:SetChecked(false);
		chkBringDead:SetChecked(false);
	end
	cmbSounds:Show();
end

function chkNone_OnClick()
	SetSound("(None)");
end

function chkEngage_OnClick()
	SetSound("Engage");
end

function chkWoohoo_OnClick()
	SetSound("Woohoo!!!");
end

function chkHallelujah_OnClick()
	SetSound("Hallelujah");
end

function chkAlrighty_OnClick()
	SetSound("Alrighty");
end

function chkComeon_OnClick()
	SetSound("Come On");
end

function chkAooga_OnClick()
	SetSound("Aooga");
end

function chkAnxious_OnClick()
	SetSound("Anxious");
end

function chkReload_OnClick()
	SetSound("Reload");
end

function chkYell_OnClick()
	SetSound("Yell");
end

function chkBummer_OnClick()
	SetSound("Bummer");
end

function chkCoocoo_OnClick()
	SetSound("Coocoo");
end

function chkDammit_OnClick()
	SetSound("Dammit");
end

function chkAyecaramba_OnClick()
	SetSound("Aye Caramba");
end

function chkProblem_OnClick()
	SetSound("Problem");
end

function chkOoga_OnClick()
	SetSound("Ooga");
end

function chkBringDead_OnClick()
	SetSound("Bring Dead");
end

function TestSound(SoundName)
	if (SoundName == "(None)") then
		FearWardSound = "";
	elseif (SoundName == "Engage") then
		FearWardSound = "startrek-tng-engage.wav";
	elseif (SoundName == "Woohoo!!!") then
		FearWardSound = "WOOHOO.WAV";
	elseif (SoundName == "Hallelujah") then
		FearWardSound = "HALLELUJ.WAV";
	elseif (SoundName == "Alrighty") then
		FearWardSound = "ALRIGHTY.WAV";
	elseif (SoundName == "Come On") then
		FearWardSound = "come-on-you-can-do-it.wav";
	elseif (SoundName == "Aooga") then
		FearWardSound = "AOOGA.WAV";
	elseif (SoundName == "Anxious") then
		FearWardSound = "ANXIOUS.WAV";
	elseif (SoundName == "Reload") then
		FearWardSound = "gun-reload-1.wav";
	elseif (SoundName == "Yell") then
		FearWardSound = "WilhelmScream.mp3";
	elseif (SoundName == "Bummer") then
		FearWardSound = "BUMMER.WAV";
	elseif (SoundName == "Coocoo") then
		FearWardSound = "birds_kuku.wav";
	elseif (SoundName == "Dammit") then
		FearWardSound = "damn-it.wav";
	elseif (SoundName == "Aye Caramba") then
		FearWardSound = "bart-aycaramba.wav";
	elseif (SoundName == "Problem") then
		FearWardSound = "APOLLO03.WAV";
	elseif (SoundName == "Ooga") then
		FearWardSound = "OOGA.WAV";
	elseif (SoundName == "Bring Dead") then
		FearWardSound = "BRNGDEAD.WAV";
	else
		FearWardSound = "";
	end
	if (FearWardSound ~= "") then
		PlaySoundFile(SoundPath..FearWardSound);
	end
end

function btnEngage_OnClick()
	TestSound("Engage");	
end

function btnWoohoo_OnClick()
	TestSound("Woohoo!!!");
end

function btnHallelujah_OnClick()
	TestSound("Hallelujah");
end

function btnAlrighty_OnClick()
	TestSound("Alrighty");
end

function btnComeon_OnClick()
	TestSound("Come On");
end

function btnAooga_OnClick()
	TestSound("Aooga");
end

function btnAnxious_OnClick()
	TestSound("Anxious");
end

function btnReload_OnClick()
	TestSound("Reload");
end

function btnYell_OnClick()
	TestSound("Yell");
end

function btnBummer_OnClick()
	TestSound("Bummer");
end

function btnCoocoo_OnClick()
	TestSound("Coocoo");
end

function btnDammit_OnClick()
	TestSound("Dammit");
end

function btnAyecaramba_OnClick()
	TestSound("Aye Caramba");
end

function btnProblem_OnClick()
	TestSound("Problem");
end

function btnOoga_OnClick()
	TestSound("Ooga");
end

function btnBringDead_OnClick()
	TestSound("Bring Dead");
end

function chkFWReady_PostClick()
	FWReadyText = chkFWReady:GetChecked();
end

function chkFWFaded_PostClick()
	FWFadedText = chkFWFaded:GetChecked();
end

function chkFWCast_PostClick()
	FWCastText = chkFWCast:GetChecked();
end

function chkInnerFire_PostClick()
	InnerFireText = chkInnerFire:GetChecked();
end

function chkFortitude_PostClick()
	FortitudeText = chkFortitude:GetChecked();
end

function chkShadowProtection_PostClick()
	ShadowProtectionText = chkShadowProtection:GetChecked();
end

function chkDivineSpirit_PostClick()
	DivineSpiritText = chkDivineSpirit:GetChecked();
end

function chkDisease_PostClick()
	DiseaseText = chkDisease:GetChecked();
end

function chkMagic_PostClick()
	MagicText = chkMagic:GetChecked();
end

function chkShackleBreak_PostClick()
	ShackleBreakText = chkShackleBreak:GetChecked();
end

function chkOtherShackleBreak_PostClick()
	OtherShackleBreakText = chkOtherShackleBreak:GetChecked();
end

function chkInnerFireNag_PostClick()
	InnerFireNag = chkInnerFireNag:GetChecked();
end

function chkFortitudeNag_PostClick()
	FortitudeNag = chkFortitudeNag:GetChecked();
end

function chkShadowProtectionNag_PostClick()
	ShadowProtectionNag = chkShadowProtectionNag:GetChecked();
end

function chkDivineSpiritNag_PostClick()
	DivineSpiritNag = chkDivineSpiritNag:GetChecked();
end

function sldDevoutCandles_OnValueChanged()
	if (sldDevoutCandles:GetValue()) then
		DevoutCandleText = sldDevoutCandles:GetValue();
		lblValueDevoutCandles:SetText(DevoutCandleText);
	end
end

function sldSacredCandles_OnValueChanged()
	if (sldSacredCandles:GetValue()) then
		SacredCandleText = sldSacredCandles:GetValue();
		lblValueSacredCandles:SetText(SacredCandleText);
	end
end

function sldHolyCandles_OnValueChanged()
	if (sldHolyCandles:GetValue()) then
		HolyCandleText = sldHolyCandles:GetValue();
		lblValueHolyCandles:SetText(HolyCandleText);
	end
end

function sldNagInterval_OnValueChanged()
	if (sldNagInterval:GetValue()) then
		NagIntervalText = sldNagInterval:GetValue();
		lblValueNagInterval:SetText(NagIntervalText);
	end
end

function sldNagInterval_OnMouseWheel(arg1)
	if (NagIntervalText) then
		local sliderMin, sliderMax = sldNagInterval:GetMinMaxValues()
		if ((sliderMin <= NagIntervalText+arg1) and (NagIntervalText+arg1 <= sliderMax)) then
			NagIntervalText = NagIntervalText+arg1;
			lblValueNagInterval:SetText(NagIntervalText);
			sldNagInterval:SetValue(NagIntervalText);
		end
	end
end

function sldHolyCandles_OnMouseWheel(arg1)
	if (HolyCandleText) then
		local sliderMin, sliderMax = sldHolyCandles:GetMinMaxValues()
		if ((sliderMin <= HolyCandleText+arg1) and (HolyCandleText+arg1 <= sliderMax)) then
			HolyCandleText = HolyCandleText+arg1;
			lblValueHolyCandles:SetText(HolyCandleText);
			sldHolyCandles:SetValue(HolyCandleText);
		end
	end
end

function sldSacredCandles_OnMouseWheel(arg1)
	if (SacredCandleText) then
		local sliderMin, sliderMax = sldSacredCandles:GetMinMaxValues()
		if ((sliderMin <= SacredCandleText+arg1) and (SacredCandleText+arg1 <= sliderMax)) then
			SacredCandleText = SacredCandleText+arg1;
			lblValueSacredCandles:SetText(SacredCandleText);
			sldSacredCandles:SetValue(SacredCandleText);
		end
	end
end

function sldDevoutCandles_OnMouseWheel(arg1)
	if (DevoutCandleText) then
		local sliderMin, sliderMax = sldDevoutCandles:GetMinMaxValues()
		if ((sliderMin <= DevoutCandleText+arg1) and (DevoutCandleText+arg1 <= sliderMax)) then
			DevoutCandleText = DevoutCandleText+arg1;
			lblValueDevoutCandles:SetText(DevoutCandleText);
			sldDevoutCandles:SetValue(DevoutCandleText);
		end
	end
end

function chkMountSay_PostClick()
	MountSayText = chkMountSay:GetChecked();
end

function chkRezSay_PostClick()
	RezSayText = chkRezSay:GetChecked();
end

function chkRezWhisper_PostClick()
	RezWhisperText = chkRezWhisper:GetChecked();
end

function chkRezParty_PostClick()
	RezPartyText = chkRezParty:GetChecked();
end

function chkMCSay_PostClick()
	MCSayText = chkMCSay:GetChecked();
end

function chkShackleSay_PostClick()
	ShackleSayText = chkShackleSay:GetChecked();
end

function chkMountParty_PostClick()
	MountPartyText = chkMountParty:GetChecked();
end

function chkMCParty_PostClick()
	MCPartyText = chkMCParty:GetChecked();
end

function chkShackleParty_PostClick()
	ShacklePartyText = chkShackleParty:GetChecked();
end

function Button1_OnClick()
	--DEFAULT_CHAT_FRAME:AddMessage("Your mount is... "..GetMount(), 1.0, 0.0, 0.0, nil, false);
	--if (UnitIsPlayer("target")) then
		--DEFAULT_CHAT_FRAME:AddMessage(UnitName("target").." is a player", 1.0, 0.0, 0.0, nil, false);
	--else
		--DEFAULT_CHAT_FRAME:AddMessage(UnitName("target").." is a "..UnitClass("target").." class", 1.0, 0.0, 0.0, nil, false);
		--DEFAULT_CHAT_FRAME:AddMessage(UnitName("target").." is a "..UnitCreatureFamily("target").." family", 1.0, 0.0, 0.0, nil, false);
		--DEFAULT_CHAT_FRAME:AddMessage(UnitName("target").." is a "..UnitCreatureType("target").." type", 1.0, 0.0, 0.0, nil, false);
	--end
	if (UnitName("target") == "Treant") then
		DEFAULT_CHAT_FRAME:AddMessage("I wont buff him (treant)", 1.0, 1.0, 0.0, nil, false);
	elseif (UnitName("target") == "Spirit Wolf") then
		DEFAULT_CHAT_FRAME:AddMessage("I wont buff him (ghost wolf)", 1.0, 1.0, 0.0, nil, false);
	else
		if (not UnitIsPlayer("target")) then
			if (not (UnitCreatureType("target") == "Beast")) then
				if (not (UnitCreatureType("target") == "Demon")) then
					if (not (UnitCreatureType("target") == "Undead")) then
						--that means it's not the pet of a hunter, warlock, or deathknight
						--so give it a false positive because we don't care about them
						HasShadowProt = true; --lie and say they have it
						HasFort = true; --lie and say they have it
						HasDivineSpirit = true; --lie and say they have it
						DEFAULT_CHAT_FRAME:AddMessage("I wont buff him", 1.0, 1.0, 0.0, nil, false);
					else
						DEFAULT_CHAT_FRAME:AddMessage("I will buff him", 0.0, 1.0, 0.0, nil, false);
					end
				else
					DEFAULT_CHAT_FRAME:AddMessage("I will buff him", 0.0, 1.0, 0.0, nil, false);
				end
			else
				DEFAULT_CHAT_FRAME:AddMessage("I will buff him", 0.0, 1.0, 0.0, nil, false);
			end
		else
			DEFAULT_CHAT_FRAME:AddMessage("I will buff him", 0.0, 1.0, 0.0, nil, false);
		end
	end
end

function chkNagCombat_PostClick()
	NagDuringCombat = chkNagCombat:GetChecked();
end

function chkDisableNag_PostClick()
	DisableNag = chkDisableNag:GetChecked();
end

function chkOnlyNagInInstances_PostClick()
	OnlyNagInInstances = chkOnlyNagInInstances:GetChecked();
end